# Version Info
require "wp_scaffold/version"

# Ruby Dependancies
require 'fileutils'
require 'erb'
require 'active_support/inflector'

# Include custom helpers
Dir[File.dirname(__FILE__) + "/wp_scaffold/helpers/**/*.rb"].each {|file| require file }

module WpScaffold
	class Base

		# set the path to our root template folder
		if File.exists?(File.expand_path('~')+"/wp_scaffold_settings.txt") 
			# user the user's settings file
			TEMPLATE_BASE = ENV['HOME'] + "/" + File.read(ENV['HOME']+"/wp_scaffold_settings.txt") + "/"
		else
			# user the gem's default templates
			TEMPLATE_BASE = File.expand_path(File.dirname(__FILE__)) + "/wp_scaffold/templates/"
		end

		# The User's current directory
		USER_DIRECTORY = Dir.pwd + "/"

		# Include all generator classes
		Dir[File.dirname(__FILE__) + "/wp_scaffold/models/**/*.rb"].each {|file| require file }

	end
end
