<?php 

	# Enable custom menus
	register_nav_menus( array(
		'header_menu' => 'Header Menu',
		'footer_menu' => 'Footer Menu'
	) );


	# Enable featured images
	add_theme_support( 'post-thumbnails' );


	# Stylesheets
	function theme_styles() {
		wp_enqueue_style( 'main', get_template_directory_uri() . '/style.css' );        
	}
	add_action( 'wp_enqueue_scripts', 'theme_styles' );


	# Javascripts
	function theme_js() {
		# Auto-serve retina @2x images - github.com/imulus/retinajs
		# wp_enqueue_script( 'retina', get_template_directory_uri() . '/js/vendor/retina-1.1.0.min.js', array('jquery'), '', true );
		
		# Remove 200ms delay on mobile safari - github.com/ftlabs/fastclick
		# wp_enqueue_script( 'fastclick', get_template_directory_uri() . '/js/vendor/fastclick.js', array('jquery'), '', true );
		
		# Easily style select inputs - github.com/patrickkunka/easydropdown
		# wp_enqueue_script( 'easy-dropdown', get_template_directory_uri() . '/js/vendor/jquery.easydropdown.min.js', array('jquery'), '', true );
		
		# Our theme's main javascript
		wp_enqueue_script( 'main', get_template_directory_uri() . '/js/main.js', array('jquery'), '', true );
	}
	add_action( 'wp_enqueue_scripts', 'theme_js' );


	# Include all PHP files from "functions" directory
	foreach ( glob(dirname(__FILE__)."/functions/*.php") as $filename ) {
		include_once $filename;
	}

	# Include all PHP files from "custom-post-types" directory
	foreach ( glob(dirname(__FILE__)."/custom-post-types/*.php") as $filename ) {
		include_once $filename;
	}

?>